Package org.eclipse.emf.cdo.compare

# Class CDOCompare.CDOIDFunction

java.lang.Object
org.eclipse.emf.cdo.compare.CDOCompare.CDOIDFunction

All Implemented Interfaces:
  `com.google.common.base.Function<EObject,String>`

Enclosing class:
  `CDOCompare`

public static class CDOCompare.CDOIDFunction extends Object implements com.google.common.base.Function<EObject,String>
An `ID function` that considers the `CDOID`s of `objects`.

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`CDOIDFunction()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(EObject o)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.common.base.Function

`equals`

## Constructor Details

### CDOIDFunction

public CDOIDFunction()

## Method Details

### apply

public String apply(EObject o)

Specified by:
  `apply` in interface `com.google.common.base.Function<EObject,String>`